default:
  image: python:3.7

variables:
  BASE_DIR: /builds/cradlebio/studio/client

before_script:
  - pip install poetry
  - poetry config virtualenvs.in-project true
  - poetry install
  - source `poetry env info --path`/bin/activate

cache:
  paths:
    - $BASE_DIR/.venv

stages:
  - test

testing:
  stage: test
  variables:
    CLIENT_CREDS : $CLIENT_CREDS
  script:
    - echo "Writing client credentials..."
    - echo "${CLIENT_CREDS}" > "tests/cradlebio/data/test_creds.json"
    - echo "Testing AFAAS client library..."
    - cd tests
    # this will generate the report.xml file used in the artifacts section
    - pytest --junitxml=report.xml
  artifacts:
    when: always
    reports:
      junit: $BASE_DIR/tests/report.xml
